dpkg-checkbuilddeps(1)

NAAM
dpkg-checkbuilddeps - controleer bouwvereisten en -tegenstrijdigheden

OVERZICHT
dpkg-checkbuilddeps [optie...] [controlebestand]

BESCHRIJVING
Dit programma controleert de op het systeem geïnstalleerde pakketten aan de bouwvereisten en bouwtegenstrijdigheden die vermeld worden in het controlebestand. Indien er eventueel aan sommige niet voldaan is, geeft het die weer en sluit af met niet-nul als terugkeercode.

Standaard wordt uit debian/control gelezen, maar de bestandsnaam van een alternatief controlebestand mag aan de commandoregel opgegeven worden.

OPTIES

--admindir=map
    Geef een andere locatie op voor de database van dpkg (sinds dpkg 1.14.0). De standaardlocatie is %ADMINDIR%.

-A  Negeer de regels Build-Depends-Arch en Build-Conflicts-Arch (sinds dpkg 1.16.4). Gebruik dit als enkel pakketten van het type arch-indep (architectuuronafhankelijke pakketten) gebouwd zullen worden, of gebruik het in combinatie met -B als enkel een broncodepakket gebouwd moet worden.

-B  Negeer de regels Build-Depends-Indep en Build-Conflicts-Indep. Gebruik dit als enkel pakketten van het type arch-dep (architectuurafhankelijke pakketten) gebouwd zullen worden, of gebruik het in combinatie met -A als enkel een broncodepakket gebouwd moet worden.

-I  Negeer ingebouwde bouwvereisten en bouwtegenstrijdigheden (sinds dpkg 1.18.2). Dit zijn impliciete vereisten die gewoonlijk nodig zijn bij een specifieke distributie, de set van zogenaamde Build-Essential pakketten.

-d tekenreeks-voor-bouwvereisten

-c tekenreeks-voor-bouwtegenstrijdigheden
    Gebruik de opgegeven vereisten/tegenstrijdigheden in plaats van diegene die in het bestand debian/control vermeld worden (sinds dpkg 1.14.17).

-a arch
    Controleer op bouwvereisten/-tegenstrijdigheden, ervan uitgaand dat het pakket dat in het bestand control beschreven wordt, gebouwd moet worden voor de opgegeven hostarchitectuur in plaats van voor de architectuur van het huidige systeem (sinds dpkg 1.16.2).

-P profiel[,...]
    Controleer op bouwvereisten/-tegenstrijdigheden, ervan uitgaand dat het pakket dat in het bestand control beschreven wordt, gebouwd moet worden voor het/de opgegeven bouwprofiel(en) (sinds dpkg 1.17.2). Het argument is een lijst van profielnamen die onderling door komma's gescheiden worden.

-?, --help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

OMGEVING

DEB_BUILD_PROFILES
    Indien dit ingesteld is, zal dit gebruikt worden als het/de actieve bouwprofiel(en) voor het pakket dat gebouwd wordt. Het is een lijst van profielnamen die onderling door spaties gescheiden worden. De optie -P heeft voorrang hierop.